/* $Id: about_dlg.cpp 17 2006-12-15 03:39:43Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2006  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "about_dlg.h"
#include "aocrayon.h"

#include <QLabel>
#include <QLayout>
#include <QPixmap>

AboutDlg::AboutDlg( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	PixLabel = new QLabel( this );
	PixLabel->setSizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed );
	PixLabel->setFixedSize( QSize( 334, 145 ) );
	PixLabel->setFrameShape( QLabel::Box );
	PixLabel->setFrameShadow( QLabel::Plain );
	PixLabel->setLineWidth( 1 );
	PixLabel->setPixmap( QPixmap( "AOcrayon.png" ) );
	PixLabel->setScaledContents( FALSE );
	PixLabel->setIndent( 0 );
	BaseLayout->addWidget( PixLabel );

	AboutLabel = new QLabel( this );
	AboutLabel->setText(
		"<font color=blue><center>"
		"<b>" PROGRAM " v" VERSION "</b><br />"
		"Copyright &copy; Mawerick 2005 - 2006<br />"
		"</center></font>"

		PROGRAM " is a third-party tool that was made with the intent to help<br />"
		" players of Anarchy Online change their chat text colors easily,<br />"
		" without mucking about with 'complex' xml file editing.<br /><br />"
		"Get the latest version at <a href='http://www.wrongplace.net/'>http://www.wrongplace.net/</a>.<br /><br />"
		"<b><u>Credits:</u></b><br />"
		"Special thanks to Oofbig for suggesting the name :)<br /><br />"
		"<b>Note:</b> This <u>only</u> changes what <u>you</u> see.<br />"
		" It has nothing to do with what anyone else sees.<br />"
		" If you want to make you chat colorful for others, <br />this is not the tool for you."
		);

//	AboutLabel->setIndent( 5 );
	BaseLayout->addWidget( AboutLabel );

	QSpacerItem* spacer = new QSpacerItem( 1, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
	BaseLayout->addItem( spacer );
}

AboutDlg::~AboutDlg()
{
}
