/* $Id: aocolor.h 17 2006-12-15 03:39:43Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2006  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef AOCOLOR_H
#define AOCOLOR_H

#include <QVariant>
#include <QList>

class QColor;
class QString;

class AOColor
{
public:
	AOColor(void);
	AOColor( const AOColor& );
	virtual ~AOColor(void) { }

	enum ColorType{ String, Hex3, Hex4 };

	void setName( QString name );
	QString name() const;

	void setColor( QString color );
	void setColor( QColor color );
	void setValue( QString value );
	QString value() const;
	QColor color();

protected:
	QString Name;
	QString Color;
	ColorType Type;
	int r;
	int g;
	int b;
};

inline void AOColor::setName( QString name )
{ Name = name; }

inline QString AOColor::name() const
{ return Name; }

inline void AOColor::setValue( QString value )
{ Color = value; }

inline QString AOColor::value() const
{ return Color; }

class AOColors : public QList<AOColor>
{
public:
	AOColors() { }
    AOColors( const AOColors& l ) : QList<AOColor>(l) { }
    AOColors( const QList<AOColor>& l ) : QList<AOColor>(l) { }
    AOColors( const AOColor& i ) { append(i); }
	virtual ~AOColors() { }

	AOColor getByName( QString name );
	bool updateColor( AOColor color );
};

#endif // AOCOLOR_H
