/* $Id: basedlg.h 17 2006-12-15 03:39:43Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2006  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef BASEDLG_H
#define BASEDLG_H

#include <QVariant>
#include <QDialog>
#include "aocolor.h"

class QTabWidget;
class QStackedWidget;
class QVBoxLayout;
class QHBoxLayout;
class QPushButton;
class QString;
class AdvancedModeDlg;
class BasicModeDlg;
class SettingsDlg;
class AboutDlg;
class LicenseDlg;

class BaseDlg : public QDialog
{
	Q_OBJECT

public:
	BaseDlg( QWidget* parent = 0 );
	~BaseDlg();

	bool loadPrefs();
	void savePrefs();

	void updateColors();
	void updateBGColor();

protected slots:
	virtual void pickColor( const QString& );
	virtual void pickColor( const QStringList& );

	virtual void loadData();
	virtual void saveData();

	virtual void modeChanged( bool mode );

protected:
	QVBoxLayout* BaseDlgLayout;
	QTabWidget* TabWidget;
	QStackedWidget* ColorsTab;

	BasicModeDlg* BasicModeTab;
	AdvancedModeDlg* AdvModeTab;
	SettingsDlg* SettingsTab;
	AboutDlg* AboutTab;
	LicenseDlg* LicenseTab;

	QHBoxLayout* SysLayout;
	QPushButton* SaveBtn;
	QPushButton* CloseBtn;

	AOColor BGColor;

	bool AdvMode;
};

#endif // BASEDLG_H
