/* $Id$ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2006  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "license_dlg.h"
#include "aocrayon.h"

#include <QTextEdit>
#include <QLayout>
#include <QFile>
#include <QTextStream>

LicenseDlg::LicenseDlg( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	LicenseView = new QTextEdit( this );
	LicenseView->setReadOnly( TRUE );
	LicenseView->setLineWrapMode( QTextEdit::NoWrap );
	LicenseView->setTabStopWidth( 30 );
	qDebug( "TabStop at %d", LicenseView->tabStopWidth() );
	BaseLayout->addWidget( LicenseView );

	QFile LicenseFile( "LICENSE.GPL" );
	if( LicenseFile.open( QIODevice::ReadOnly | QIODevice::Text ) )
	{
		QTextStream LicenseText( &LicenseFile );
		LicenseView->setPlainText( LicenseText.readAll() );
	}
}

LicenseDlg::~LicenseDlg()
{
}
